Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.metadata
Interface IChoice

All Known Implementing Classes:
  org.eclipse.birt.report.model.metadata.Choice, UserChoice

    public interface IChoice

Describes the options for a property value. A choice has a display name and an internal name (XML name). The display name is localized, the XML name is not.

Method Summary
`IChoice` | `copy()` Creates a deep copy of this choice.
`java.lang.String` | `getDisplayName()` Returns the localized display name for the choice.
`java.lang.String` | `getDisplayNameKey()` Returns the display name resource key for the choice.
`java.lang.String` | `getName()` Returns the choice name that appears in the XML design file.
`java.lang.Object` | `getValue()` Returns the value of the choice.

Method Detail

### getDisplayName

    java.lang.String getDisplayName()

  Returns the localized display name for the choice.

  Returns:
    the localized display name for the choice.

### getDisplayNameKey

    java.lang.String getDisplayNameKey()

  Returns the display name resource key for the choice.

  Returns:
    the display name resource key

### getName

    java.lang.String getName()

  Returns the choice name that appears in the XML design file.

  Returns:
    the choice name used in the XML design file

### getValue

    java.lang.Object getValue()

  Returns the value of the choice. The returned value equals to the internal name of the system choice.

  Returns:
    the value of the choice

### copy

    IChoice copy()

  Creates a deep copy of this choice.

  Returns:
    a copy of this choice.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.